const spawn = require('cross-spawn');
const NPM_REGISTRY = require('./config.js').NPM_REGISTRY;
const NPM_REGISTRY_INTERNAL = require('./config.js').NPM_REGISTRY_INTERNAL;
const utils = require('./utils.js');
const fs = require('fs');

const addKZPackage = (originalPackageName, cmd) => {
    let packageName = originalPackageName;
    if (!packageName.startsWith('@kuaizhan')) {
        packageName = `@kuaizhan/${originalPackageName}`;
        console.log('change package name to: ', packageName);
    }

    console.log('installing: ', packageName);
    const packageJson = utils.getPackageJson();
    if (packageJson.kzDependencies) {
        const exist = packageJson.kzDependencies.some((item) => {
            if ((item) === packageName) {
                return true;
            }
        });

        if (!exist) {
            packageJson.kzDependencies.push(packageName);
        }
    } else {
        packageJson.kzDependencies = [packageName];
    }

    const registry = cmd.internal ? NPM_REGISTRY_INTERNAL : NPM_REGISTRY;

    utils.writePackageJson(JSON.stringify(packageJson));
    spawn.sync('npm', ['install', packageName, '--save', `--registry=${NPM_REGISTRY}`], { stdio: 'inherit' });
};

module.exports = addKZPackage;
