const spawn = require('cross-spawn');
const fs = require('fs');
const getPackageJson = require('./utils.js').getPackageJson;
const NPM_REGISTRY = require('./config.js').NPM_REGISTRY;
const NPM_REGISTRY_INTERNAL = require('./config.js').NPM_REGISTRY_INTERNAL;

const initProject = (cmd) => {
    const packageJson = getPackageJson();
    const registry = cmd.internal ? NPM_REGISTRY_INTERNAL : NPM_REGISTRY;
    console.log(registry);
    if (packageJson.kzDependencies) {
        const kzDependenciesList = packageJson.kzDependencies;
        kzDependenciesList.forEach((name) => {
            spawn.sync('npm', ['install', name, `--registry=${registry}`], { stdio: 'inherit' });
        });
    }

    spawn.sync('npm', ['install'], { stdio: 'inherit' });
};

module.exports = initProject;
